Extending Qt Creator Manual | MarginSettings

Extending Qt Creator Manual 4.5.2

# MarginSettings Class

(TextEditor::MarginSettings)

- List of all members, including inherited members

## Public Functions

| MarginSettings()
bool | equals(const MarginSettings &other) const
void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const

## Member Function Documentation

### MarginSettings::MarginSettings()

Default constructs an instance of MarginSettings.

### bool MarginSettings::equals(const MarginSettings &other) const

### void MarginSettings::fromMap(const QString &prefix, const QVariantMap &map)

### void MarginSettings::fromSettings(const QString &category, const QSettings *s)

### void MarginSettings::toMap(const QString &prefix, QVariantMap *map) const

### void MarginSettings::toSettings(const QString &category, QSettings *s) const